# $Revision: 1.21 $, $Date: 2011/10/16 04:46:14 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	The GNU oSIP library
Summary(pl.UTF-8):	Biblioteka GNU oSIP
Name:		libosip2
Version:	3.6.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/osip/%{name}-%{version}.tar.gz
# Source0-md5:	92fd1c1698235a798497887db159c9b3
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-link.patch
URL:		http://www.gnu.org/software/osip/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool >= 1:1.4.3
Provides:	libosip
Obsoletes:	libosip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is "the GNU oSIP library" (for Omnibus SIP). It has been designed
to provide the Internet Community a simple way to support the Session
Initiation Protocol. SIP is described in the RFC2543 which is
available at http://www.ietf.org/rfc/rfc2543.txt.

%description -l pl.UTF-8
To jest biblioteka GNU oSIP (Omnibus SIP). Została zaprojektowana, aby
dostarczyć Społeczności Internetowej prostą obsługę protokołu SIP.
Protokół SIP (Session Initiation Protocol) jest opisany w RFC2543.

%package devel
Summary:	The GNU oSIP library - development files
Summary(pl.UTF-8):	Pliki dla programistów używających GNU oSIP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	libosip-devel
Obsoletes:	libosip-devel

%description devel
Development files for the GNU oSIP library.

%description devel -l pl.UTF-8
Pliki dla programistów używających biblioteki GNU oSIP.

%package static
Summary:	The GNU oSIP library - static version
Summary(pl.UTF-8):	Statyczna biblioteka GNU oSIP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	libosip-static
Obsoletes:	libosip-static

%description static
Static version of the GNU oSIP library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki GNU oSIP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	--enable-semaphore \
	--enable-pthread \
	--%{?debug:en}%{!?debug:dis}able-debug \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_mandir}/man{1,3}
mv -f $RPM_BUILD_ROOT%{_mandir}/man3/osip.{1,3}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog FEATURES HISTORY NEWS README TODO
%attr(755,root,root) %{_libdir}/libosip2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosip2.so.7
%attr(755,root,root) %{_libdir}/libosipparser2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosipparser2.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libosip2.so
%attr(755,root,root) %{_libdir}/libosipparser2.so
%{_libdir}/libosip2.la
%{_libdir}/libosipparser2.la
%{_includedir}/osip2
%{_includedir}/osipparser2
%{_pkgconfigdir}/libosip2.pc
%{_mandir}/man3/osip.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libosip2.a
%{_libdir}/libosipparser2.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libosip2.spec,v $
Revision 1.21  2011/10/16 04:46:14  qboosh
- updated to 3.6.0
- added link patch

Revision 1.20  2009/06/09 10:11:21  amateja
- updated to 3.3.0

Revision 1.19  2008/11/02 03:14:41  pawelz
- up to 3.2.0

Revision 1.18  2008/07/22 16:41:32  charles
- without static_libs bcond

Revision 1.17  2008/07/16 19:57:04  qboosh
- updated to 3.1.0 (note: new sonames)

Revision 1.16  2008/04/08 08:24:53  glen
- unify ftp.gnu.org urls

Revision 1.15  2008-01-27 23:14:23  qboosh
- more verbose files, ghost soname symlinks
- LGPL v2.1+

Revision 1.14  2007-11-07 22:21:00  cactus
- up to 3.0.3

Revision 1.13  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.11  2005/12/01 23:46:29  charles
- updated to 2.2.2

Revision 1.10  2005/10/26 18:53:51  pawcioos
- updated to 2.2.1

Revision 1.9  2005/02/27 19:36:47  qboosh
- updated to 2.2.0 (note: new sonames), updated nolibs patch

Revision 1.8  2004/08/31 20:07:26  darekr
- updated to 2.0.9

Revision 1.7  2004/06/06 00:20:55  qboosh
- updated to 2.0.8

Revision 1.6  2004/04/20 23:46:06  qboosh
- updated to 2.0.7

Revision 1.5  2004/04/02 12:41:20  qboosh
- updated to 2.0.5, removed unneeded configure,automake patches, fixed build

Revision 1.4  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.3  2003/07/01 20:31:34  luzik
 - added provides, obsoletes for subpackages

Revision 1.2  2003/07/01 20:26:46  luzik
 - added provides and obsoletes libosip
 - release 2

Revision 1.1  2003/06/30 22:14:26  luzik
 - initial release [clon libosip.spec]

Revision 1.20  2003/06/30 14:14:48  qboosh
- added nolibs patch to removed -lnsl, release 3

Revision 1.19  2003/06/26 16:13:15  radzio
- add patch1 (fix problem with am macros)
- rel 2

Revision 1.18  2003/06/23 09:05:13  zagrodzki
- upgraded to 0.9.7

Revision 1.17  2003/06/06 12:33:22  qboosh
- updated feedback address

Revision 1.16  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:49:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/03 14:08:36  qboosh
- added epoch to BR: libtool to allow using DEVEL versions

Revision 1.13  2003/01/03 13:10:29  qboosh
- moved informational (not development) documentation to base
- fixed man page (should be 3 not 1), moved to -devel

Revision 1.12  2003/01/02 08:43:57  blues
- 0.9.3 - BR with version of libtool added

Revision 1.11  2002/10/11 19:54:27  ankry
- change lib*.la permissions to 644

Revision 1.10  2002/10/11 13:26:54  ankry
- added patch renaming required docbook tool

Revision 1.9  2002/10/04 13:25:13  kloczek
- regenerate ac/am/lt is back (am_fixes patch added).

Revision 1.8  2002/09/30 08:13:28  blues
- I said - regeneration breaks building, not regeneration itself...

Revision 1.7  2002/09/28 17:49:45  kloczek
- remove acinclude.m4 before regeneration ac/am/lt suit with private libtool.m4
  copy (now regeneration ac/am/lt is possible),
- better %%{debug} support.

Revision 1.6  2002/09/25 14:53:56  blues
- 0.8.9 - license change, URL updated, partialy regeneration turned off
  (was breaking build) - STBR

Revision 1.5  2002/06/30 13:18:54  kloczek
- finished.

Revision 1.4  2002/05/21 23:13:50  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%%\{__automake\}/; \
             s/^automake -a -c -f/\%%\{__automake\}/; \
	     s/^autoconf/\%%\{__autoconf\}/"

Revision 1.3  2002/04/16 07:58:49  qboosh
- pl descriptions

Revision 1.2  2002/04/15 17:22:00  jajcus
- Version: 0.7.9 (current linphone will not compile with newer)

Revision 1.1  2002/04/15 13:27:52  jajcus
- new spec
